package de.hottis.common;

import java.util.TimerTask;

public class TriggerTimer extends TimerTask {
	private final ITriggerable triggerable;

	public TriggerTimer(ITriggerable triggerable) {
		this.triggerable = triggerable;
	}
	
        @Override
	public void run() {
		triggerable.trigger();
	}
}
